> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an event



## OpenAPI

````yaml /openapi.json get /events/{id}
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /events/{id}:
    get:
      tags:
        - Events
      summary: Retrieve an event
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the event
          required: true
      responses:
        '200':
          description: An `Event` object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Event'
components:
  schemas:
    Event:
      type: object
      properties:
        id:
          type: string
          description: The ID of the event
        name:
          type: string
          description: The name of the event
        extra:
          type: object
          additionalProperties: true
          description: The data tracked with the event
        created_at:
          type: string
          description: The time the event was tracked in ISO 8601 format
        customer:
          type: string
          nullable: true
          description: >-
            The ID of the customer the event resolved to. `null` until the event
            is processed, or if no customer matched
      required:
        - id
        - name
        - extra
        - created_at
        - customer
      title: The Event object
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.